#TimiRGeN R Package

author: "Krutik Patel, PhD Student at Newcastle University UK"

email: K.Patel5@newcastle.ac.uk

date: "25 04 2021"

citation: K Patel, S Chandrasegaran, I M Clark, C J Proctor, D A Young, D P Shanley, TimiRGeN: R/Bioconductor package for time series microRNA-mRNA integration and analysis, Bioinformatics, 2021;, btab377, https://doi.org/10.1093/bioinformatics/btab377

The TimiRGeN package is made for researchers that wish to further analyse time series microRNA-mRNA data sets after differential expression analysis.
TimiRGeN offers users the ability to integrate the multi-omic data, 
functionally analyse Human or Mouse data, and to visualise this. Data can 
easily be exported to cytoscape or pathvisio. 

Ideally, this package will offer users direction and hypothesis generation.
To whittle down potentially millions of microRNA-mRNA interactions to a 
handful of interactions which are effecting a signalling pathway of interest. This is more suitable for further computational or experimental work. Hypotheses generated from TimiRGeN can be formalised by creating
gene regulatory networks (GRNs). TimiRGeN helps to steam-line this process by exporting results to pathvisio or cytoscape. In pathvisio, potential downstream/ upstream signalling effects of miRNA involvement can be visualised very easily. 

Please read the vignette for more information. Follow the instructions on the Pathvisio_GRN_guide found in the issues of the github repository for help in constructing networks and further development of GRNs.
