% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cytoMake.R
\name{cytoMake}
\alias{cytoMake}
\title{cytoMake}
\usage{
cytoMake(interactionData, titleString = '', collectionString = '')
}
\arguments{
\item{interactionData}{Dataframe which contains filtered miR-mRNA
interactions. This is output from matrixFilter and should be found as an
assay within the MAE used in the matrixFilter function.}

\item{titleString}{Title of the network. Enter a string which cytoscape
will see as the graph name. Default is "Network".}

\item{collectionString}{Title of the collection of networks. Enter string
which cytoscape will see as the collection name. Many differently titled
graphs can be added to a single collection. Default is
"miR-mRNA interactions".}
}
\value{
A network of filtered miR-mRNA interactions specific for a pathway
of interest. It will be visible in cytoscape version 3.7 or later.
}
\description{
Creates a cytoscape network based on the output of matrixFilter.
Requires cytoscapePing() to be used. Make sure Cytoscape is open first. Must
use Cytoscape version 3.7 or later.
}
\examples{
\dontrun{
Filt_df <- data.frame(row.names = c("mmu-miR-320-3p:Acss1",
                                    "mmu-miR-27a-3p:Odc1"),
                      avecor = c(-0.9191653, 0.7826041),
                      miR = c("mmu-miR-320-3p", "mmu-miR-27a-3p"),
                      mRNA = c("Acss1", "Acss1"),
                      miR_Entrez = c(NA, NA),
                      mRNA_Entrez = c(68738, 18263),
                      TargetScan = c(1, 0),
                      miRDB = c(0, 0),
                      Predicted_Interactions = c(1, 0),
                      miRTarBase = c(0, 1),
                      Pred_Fun = c(1, 1))

RCy3::cytoscapePing()

cytoMake(interactionData = Filt_df, titleString = 'test' ,
         collectionString = 'collectiontest')
}
}
